function  varargout=demo24(MshFileVersion)
  if nargin==0,MshFileVersion='4.1';end
  assert( ismember(MshFileVersion,{'4.0','4.1'}) )
  fprintf('--------------- demo04\n')
  fprintf('3D meshing: mesh and partitioned mesh using ''MshFileVersion''=''%s''(default)\n',MshFileVersion)
  fprintf('---------------\n')
  geofile='cylinderkey';np=5;
  fprintf('1. Building a mesh file by using :\n')
  fprintf('   -> gmsh version %s\n',fc_oogmsh.gmsh.version())
  fprintf('   -> geo file : %s\n',geofile);
  meshfile=fc_oogmsh.gmsh.buildmesh3d(geofile,5,'verbose',2,'force',true,'MshFileVersion',MshFileVersion);
  fprintf('   -> msh file : %s\n',fc_oogmsh.pathrep(meshfile));
  fprintf('2. Reading mesh file\n')
  Gh=fc_oogmsh.ooGmsh4(meshfile)
  fprintf('3. Building partitioned mesh file\n')
  fprintf('   -> number of partitions : %d\n',np);
  pmfile=fc_oogmsh.gmsh.buildpartmesh(meshfile,np,'verbose',2,'force',true,'MshFileVersion',MshFileVersion);
  fprintf('   -> partitioned msh file : %s\n',fc_oogmsh.pathrep(pmfile));
  fprintf('4. Reading the partitioned mesh file\n')
  pGh=fc_oogmsh.ooGmsh4(pmfile)
  if nargout==2,varargout={Gh,pGh};end
end
